/*
 * Dropdown
 *
 * Index
 * - Dropdown
 * - Dropdown menu
 */

/**
 * @prop --margin-top: Top margin of the menu
 */

/* DROPDOWN
 -------------------- */

:host {
  --margin-top: 0.5rem;
  display: block;
  width: max-content;
}

.dropdown {
  position: relative;
  font-family: var(--road-font);
}

.dropdown summary {
  display: block;
  background-color: var(--road-surface);
  border-radius: 0.25rem;
}

.dropdown summary:focus,
.dropdown summary.focus-visible,
.dropdown summary:focus-within{
  background: var(--road-surface-inverse);
}

.dropdown summary::-webkit-details-marker { /* remove native arrow */
  display: none;
}

.dropdown-button{
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 3.5rem;
  height: 3.5rem;
  cursor: pointer;
  border-radius: 0.25rem;
}

.dropdown-medium-button{
  width: 2.5rem;
  height: 2.5rem;
}

.position-right{
  display: flex;
  justify-content: flex-end;
}

.bg-white{
  background: var(--road-grey-000);
}

.dropdown-button-icon{
  width: 2.5rem;
  height: 2.5rem;
}

.dropdown-medium-button .dropdown-button-icon{
  width: 1.75rem;
  height: 1.75rem;
}

/**
 * Open state
 */

.dropdown[open] .dropdown-menu {
  transform: scaleY(1);
}

.dropdown[open] .dropdown-menu.direction-top {
  position: absolute;
  bottom: 0;
  left: auto;
  transform: translate3d(0, -56px, 0);
  will-change: transform;
}

/* MENU
 -------------------- */

.dropdown-menu {
  position: absolute;
  z-index: 1;
  display: flex;
  flex-direction: column;
  width: 100%;
  min-width: 16.875rem;
  padding: 0.5rem 0;
  color: var(--road-on-surface);
  background: var(--road-surface);
  border: 1px solid;
  border-color: var(--road-outline-weak);
  border-radius: 0.25rem;
  box-shadow: var(--road-elevation-low);
  transition: transform 0.2s ease-in-out;
  transform: scaleY(0);
  transform-origin: 0 0;
}

.dropdown-left {
  left: 0;
}

.dropdown-right {
  right: 0;
}


/* ITEM
 -------------------- */

.dropdown-item {
  min-height: 40px;
  padding: 0 1rem;
  font-size: var(--road-body-medium);
  line-height: 1.5;
  color: var(--road-on-surface);
  text-align: left;
  text-decoration: none;
  cursor: pointer;
  background: var(--road-surface);
  border: none;
}

.dropdown-item-border {
  border-color: var(--road-outline-weak);
  border-bottom: 1px solid;
}

/**
 * Hover state
 */

.dropdown-item:hover {
  background: var(--road-surface-inverse);
}

.dropdown-item.focus-visible{
  outline: auto;
}


